System.Design 1.0.5000.0 2.0.0.0 System.Drawing.Design.ToolboxItem

provides a base class for toolbox items that create Web server controls. This class extends and provides the following additional methods:

gets the value of an attribute of the toolbox item.

gets the HTML that represents the initial state of the control.

gets the type of the associated runtime component.

Provides a base class for a Web server control .

- Constructor

  The is set to a short version of the type name.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  The is set to a short version of the type name.

  Creates a new instance of the class using the provided type.

  The of the tool for this toolbox item.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Creates a new instance of the class using the provided object and .

  A SerializationInfo object containing information needed to instantiate the Web control through deserialization.
  A StreamingContext object.
- Method
  System.ComponentModel.IComponent[] ``

  always throws an exception, indicating that the method is inherited from and only intended for use with Windows Forms.

  Creates objects from each type contained in this , and adds them to the specified designer.

  An array of created objects.

  The for the current design document. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Loads the state of the toolbox item from the specified serialization information object.

  The that describes the . A that indicates the serialization stream characteristics. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` ``

  The default implementation will throw an if the parameter is anything other than a .

  Gets the value of the specified type of attribute of the toolbox item.

  The value of the specified type of attribute.

  The for the current design document. The type of attribute to retrieve the value of. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added.

  Gets the HTML for the Web control that the tool creates.

  The HTML for the Web control that the tool creates.

  The for the current design document. 1.0.5000.0 2.0.0.0
- Method
  System.Type `` To be added.

  Gets the type of this toolbox item.

  The of this toolbox item.

  The for the current design document. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Initializes this toolbox item.

  The of the Web server control toolbox item. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added.

  Saves the state of the toolbox item to the specified serialization information object.

  The used to save the state of the . A that indicates the serialization stream characteristics. 1.0.5000.0 2.0.0.0